{% extends 'base/summarized.html' %}

{% block base_title %}Skills setup{% endblock %}

{% block content %}
    <div class="jumbotron">
        <div>
            <div class="display-4">Set up the skills</div>
            <div class="lead">
                The crowdsourcing platform is defined for a set of <span class="font-italic">Skills</span> (or dimensions).
                <br>
                Each skill represents an area of expertise in which <span class="font-italic">workers</span> will place themselves.
                <br>
                The <span class="font-italic">Requesters</span> will then be able to create <span class="font-italic">tasks</span> related to these skills.
            </div>
            <hr class="my-4">
        </div>

        <div>
            {% if object_list.count == 0 %}
                <div class="alert alert-info" role="alert">
                    No skills for now.
                    <hr>
                    Add a new skill with the "Add skill" button.
                </div>
            {% else %}
                {% include 'base/pagination.html' with page_obj=page_obj paginator=paginator %}

                <div>
                    <ul class="list-group">
                    {% for ability in object_list %}
                        <li class="list-group-item">
                            <div class="row">
                                <div class="col-10">
                                    <b>{{ ability.name }}</b>
                                </div>
                                <div class="col-2">
                                    <a href="{% url 'del-ability' ability.id  %}">
                                        <button class="btn btn-danger">
                                            Remove
                                        </button>
                                    </a>
                                </div>
                            </div>
                            <small>{{ ability.descr }}</small>
                        </li>
                    {% endfor %}
                    </ul>

                    <hr>
                </div>
            {% endif %}
        </div>

        <div class="d-flex bd-highlight mb-3">
            <div class="p-2">
                <a href="{% url 'add-ability' %}">
                    <button class="btn btn-primary">
                        Add skill
                    </button>
                </a>
            </div>
            <div class="p-2 ml-auto">
                <form method="post">
                    {% csrf_token %}
                    <input type="submit" class="btn btn-primary" value="Next" {% if nok %} disabled {% endif %}>
                </form>
            </div>
        </div>
    </div>
{% endblock %}
